Subject: bug#22000: Patch addressing the menu-bar frame-resize interaction

From: martin rudalics <[email-masked]>
Date: Thu, 18 Oct 2018 18:40:50 +0200

> I realize that it fixes an annoying misfeature, but it does so by
 > introducing a significant new feature which requires quite a few code
 > lines.  For a problem that AFAIU has been with us since time
 > immemoriam, I'm really uneasy with putting this on emacs-26.  But I'm
 > fully prepared to hear arguments to the contrary.

My sole argument is that the feature does not introduce any hidden or
subtle changes.  As long as users have a recent enough GTK installed
and use menu bars any bugs should be easy to find.  The glitch Robert
has detected is a proof for this claim (my GTK was too old for that).

In either case I'll be just happy to put this problem to a rest - on
the release branch or on master.

martin